org.eclipse.wst.jsdt.debug.core.jsdi.connect

## Interface Connector

All Known Subinterfaces:
  AttachingConnector, LaunchingConnector, ListeningConnector

    public interface Connector

Describes an extensible connector for JSDI. Clients can implement or extend this interface.

Since:
  1.0

### Nested Class Summary

Nested Classes
`static interface` `Connector.Argument` Default description of an argument that this `Connector` can support
`static interface` `Connector.BooleanArgument` Boolean specialization of an `Connector.Argument`
`static interface` `Connector.IntegerArgument` Integer specialization of an `Connector.Argument`
`static interface` `Connector.SelectedArgument` Specialization of `Connector.Argument` whose value is a String selected from a list of choices.
`static interface` `Connector.StringArgument` String specialization of an `Connector.Argument`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Map` `defaultArguments()` Returns the `Map` of default `Connector.Argument`s for this connector or an empty `Map` if no `Connector.Argument`s have been specified.
`java.lang.String` `description()` A human readable description of this `Connector`.
`java.lang.String` `id()` The unique identifier for this `Connector`.
`java.lang.String` `name()` The name of this `Connector`.

### Method Detail

#### defaultArguments

    java.util.Map defaultArguments()

Returns the `Map` of default `Connector.Argument`s for this connector or an empty `Map` if no `Connector.Argument`s have been specified.
This method cannot return `null`

Returns:
  the `Map` of default `Connector.Argument`s or an empty `Map`, never `null`

#### description

    java.lang.String description()

A human readable description of this `Connector`.
This method can return `null`

Returns:
  the description of this `Connector` or `null`

#### name

    java.lang.String name()

The name of this `Connector`.
This method can return `null`

Returns:
  the name of the `Connector`

#### id

    java.lang.String id()

The unique identifier for this `Connector`.
This method cannot return `null`

Returns:
  the identifier of this `Connector` never `null`